## org.hibernate.envers.configuration.metadata.reader
Class AnnotationsMetadataReader

    java.lang.Object
      org.hibernate.envers.configuration.metadata.reader.AnnotationsMetadataReader

    public final class AnnotationsMetadataReader

extends Object

A helper class to read versioning meta-data from annotations on a persistent class.

Constructor Summary
`AnnotationsMetadataReader(GlobalConfiguration globalCfg, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager, PersistentClass pc)`

Method Summary
`ClassAuditingData` `getAuditData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsMetadataReader

    public AnnotationsMetadataReader(GlobalConfiguration globalCfg,
                                     org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager,
                                     PersistentClass pc)

Method Detail

### getAuditData

    public ClassAuditingData getAuditData()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.